import re
import pytest

search_item_0 = {
    "type": "Feature",
    "stac_version": "1.0.0-beta.2",
    "stac_extensions": ["eo", "view", "proj"],
    "id": "S2A_18TXP_20200131_0_L2A",
    "bbox": [
        -73.76795480089262,
        43.24361462676826,
        -72.41343261051534,
        44.24654179621102,
    ],
    "geometry": {
        "type": "Polygon",
        "coordinates": [
            [
                [-72.79870705051243, 43.24361462676826],
                [-73.76795480089262, 43.25816418854885],
                [-73.74750679696768, 44.24654179621102],
                [-72.41343261051534, 44.224115856281976],
                [-72.79870705051243, 43.24361462676826],
            ]
        ],
    },
    "properties": {
        "datetime": "2020-01-31T16:00:52Z",
        "platform": "sentinel-2a",
        "constellation": "sentinel-2",
        "instruments": ["msi"],
        "gsd": 10,
        "view:off_nadir": 0,
        "proj:epsg": 32618,
        "sentinel:utm_zone": 18,
        "sentinel:latitude_band": "T",
        "sentinel:grid_square": "XP",
        "sentinel:sequence": "0",
        "sentinel:product_id": "S2A_MSIL2A_20200131T155501_N0213_R054_T18TXP_20200131T200155",
        "sentinel:data_coverage": 84.38,
        "eo:cloud_cover": 86.32,
        "sentinel:valid_cloud_cover": True,
        "created": "2020-08-20T00:05:30.813Z",
        "updated": "2020-08-20T00:05:30.813Z",
    },
    "collection": "sentinel-s2-l2a-cogs",
    "assets": {
        "thumbnail": {
            "title": "Thumbnail",
            "type": "image/png",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l1c/tiles/18/T/XP/2020/1/31/0/preview.jpg",
        },
        "overview": {
            "title": "True color image",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/L2A_PVI.tif",
            "proj:shape": [343, 343],
            "proj:transform": [320, 0, 600000, 0, -320, 4900020, 0, 0, 1],
        },
        "info": {
            "title": "Original JSON metadata",
            "type": "application/json",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l2a/tiles/18/T/XP/2020/1/31/0/tileInfo.json",
        },
        "metadata": {
            "title": "Original XML metadata",
            "type": "application/xml",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l2a/tiles/18/T/XP/2020/1/31/0/metadata.xml",
        },
        "visual": {
            "title": "True color image",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/TCI.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B01": {
            "title": "Band 1 (coastal)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B01.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "B02": {
            "title": "Band 2 (blue)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B02.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B03": {
            "title": "Band 3 (green)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B03.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B04": {
            "title": "Band 4 (red)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B04.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B05": {
            "title": "Band 5",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B05.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B06": {
            "title": "Band 6",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B06.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B07": {
            "title": "Band 7",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B07.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B08": {
            "title": "Band 8 (nir)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B08.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B8A": {
            "title": "Band 8A",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B8A.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B09": {
            "title": "Band 9",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B09.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "B11": {
            "title": "Band 11 (swir16)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B11.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B12": {
            "title": "Band 12 (swir22)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/B12.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "AOT": {
            "title": "Aerosol Optical Thickness (AOT)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/AOT.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "WVP": {
            "title": "Water Vapour (WVP)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/WVP.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "SCL": {
            "title": "Scene Classification Map (SCL)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/SCL.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
    },
    "links": [
        {
            "rel": "self",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs/items/S2A_18TXP_20200131_0_L2A",
        },
        {
            "title": "Source STAC Item",
            "rel": "derived_from",
            "href": "s3://cirrus-v0-data-1qm7gekzjucbq/sentinel-s2-l2a/18/T/XP/2020/1/S2A_18TXP_20200131_0_L2A/S2A_18TXP_20200131_0_L2A.json",
            "type": "application/json",
        },
        {
            "rel": "parent",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs",
        },
        {
            "rel": "collection",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs",
        },
        {"rel": "root", "href": "https://earth-search.aws.element84.com/v0/"},
    ],
}

search_item_1 = {
    "type": "Feature",
    "stac_version": "1.0.0-beta.2",
    "stac_extensions": ["eo", "view", "proj"],
    "id": "S2A_18TXP_20200128_0_L2A",
    "bbox": [
        -73.76795480089262,
        43.23561023331162,
        -72.37336693317773,
        44.24598972702524,
    ],
    "geometry": {
        "type": "Polygon",
        "coordinates": [
            [
                [-72.41620364341152, 43.23561023331162],
                [-73.76795480089262, 43.25816418854885],
                [-73.75082014911538, 44.0897816745054],
                [-73.73694100947569, 44.133139765725765],
                [-73.71097960533838, 44.21137792738492],
                [-73.69813566824322, 44.24598972702524],
                [-72.37336693317773, 44.223201034059365],
                [-72.41620364341152, 43.23561023331162],
            ]
        ],
    },
    "properties": {
        "datetime": "2020-01-28T15:50:56Z",
        "platform": "sentinel-2a",
        "constellation": "sentinel-2",
        "instruments": ["msi"],
        "gsd": 10,
        "data_coverage": 99.71,
        "view:off_nadir": 0,
        "eo:cloud_cover": 95.74,
        "proj:epsg": 32618,
        "sentinel:latitude_band": "T",
        "sentinel:grid_square": "XP",
        "sentinel:sequence": "0",
        "sentinel:product_id": "S2A_MSIL2A_20200128T154511_N0213_R011_T18TXP_20200128T195253",
        "created": "2020-09-19T09:19:06.144Z",
        "updated": "2020-09-19T09:19:06.144Z",
        "sentinel:valid_cloud_cover": True,
        "sentinel:utm_zone": 18,
        "sentinel:data_coverage": 99.71,
    },
    "collection": "sentinel-s2-l2a-cogs",
    "assets": {
        "thumbnail": {
            "title": "Thumbnail",
            "type": "image/png",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l1c/tiles/18/T/XP/2020/1/28/0/preview.jpg",
        },
        "overview": {
            "title": "True color image",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/L2A_PVI.tif",
            "proj:shape": [343, 343],
            "proj:transform": [320, 0, 600000, 0, -320, 4900020, 0, 0, 1],
        },
        "info": {
            "title": "Original JSON metadata",
            "type": "application/json",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l2a/tiles/18/T/XP/2020/1/28/0/tileInfo.json",
        },
        "metadata": {
            "title": "Original XML metadata",
            "type": "application/xml",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l2a/tiles/18/T/XP/2020/1/28/0/metadata.xml",
        },
        "visual": {
            "title": "True color image",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/TCI.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B01": {
            "title": "Band 1 (coastal)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B01.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "B02": {
            "title": "Band 2 (blue)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B02.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B03": {
            "title": "Band 3 (green)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B03.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B04": {
            "title": "Band 4 (red)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B04.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B05": {
            "title": "Band 5",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B05.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B06": {
            "title": "Band 6",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B06.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B07": {
            "title": "Band 7",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B07.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B08": {
            "title": "Band 8 (nir)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B08.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B8A": {
            "title": "Band 8A",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B8A.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B09": {
            "title": "Band 9",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B09.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "B11": {
            "title": "Band 11 (swir16)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B11.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B12": {
            "title": "Band 12 (swir22)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/B12.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "AOT": {
            "title": "Aerosol Optical Thickness (AOT)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/AOT.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "WVP": {
            "title": "Water Vapour (WVP)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/WVP.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "SCL": {
            "title": "Scene Classification Map (SCL)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/SCL.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
    },
    "links": [
        {
            "rel": "self",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs/items/S2A_18TXP_20200128_0_L2A",
        },
        {
            "rel": "canonical",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2A_18TXP_20200128_0_L2A/S2A_18TXP_20200128_0_L2A.json",
            "type": "application/json",
        },
        {
            "title": "Source STAC Item",
            "rel": "derived_from",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a/items/S2A_18TXP_20200128_0_L2A",
            "type": "application/json",
        },
        {
            "rel": "parent",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs",
        },
        {
            "rel": "collection",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs",
        },
        {"rel": "root", "href": "https://earth-search.aws.element84.com/v0/"},
    ],
}

search_item_2 = {
    "type": "Feature",
    "stac_version": "1.0.0-beta.2",
    "stac_extensions": ["eo", "view", "proj"],
    "id": "S2B_18TXP_20200126_0_L2A",
    "bbox": [
        -73.76795480089262,
        43.2436335870114,
        -72.41255754280282,
        44.24654179621102,
    ],
    "geometry": {
        "type": "Polygon",
        "coordinates": [
            [
                [-72.79969212110657, 43.2436335870114],
                [-73.76795480089262, 43.25816418854885],
                [-73.74750679696768, 44.24654179621102],
                [-72.41255754280282, 44.2240960262082],
                [-72.79969212110657, 43.2436335870114],
            ]
        ],
    },
    "properties": {
        "datetime": "2020-01-26T16:00:52Z",
        "platform": "sentinel-2b",
        "constellation": "sentinel-2",
        "instruments": ["msi"],
        "gsd": 10,
        "data_coverage": 84.38,
        "view:off_nadir": 0,
        "eo:cloud_cover": 95.75,
        "proj:epsg": 32618,
        "sentinel:latitude_band": "T",
        "sentinel:grid_square": "XP",
        "sentinel:sequence": "0",
        "sentinel:product_id": "S2B_MSIL2A_20200126T155529_N0213_R054_T18TXP_20200126T195047",
        "created": "2020-09-19T03:41:43.001Z",
        "updated": "2020-09-19T03:41:43.001Z",
        "sentinel:valid_cloud_cover": True,
        "sentinel:utm_zone": 18,
        "sentinel:data_coverage": 84.38,
    },
    "collection": "sentinel-s2-l2a-cogs",
    "assets": {
        "thumbnail": {
            "title": "Thumbnail",
            "type": "image/png",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l1c/tiles/18/T/XP/2020/1/26/0/preview.jpg",
        },
        "overview": {
            "title": "True color image",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/L2A_PVI.tif",
            "proj:shape": [343, 343],
            "proj:transform": [320, 0, 600000, 0, -320, 4900020, 0, 0, 1],
        },
        "info": {
            "title": "Original JSON metadata",
            "type": "application/json",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l2a/tiles/18/T/XP/2020/1/26/0/tileInfo.json",
        },
        "metadata": {
            "title": "Original XML metadata",
            "type": "application/xml",
            "href": "https://roda.sentinel-hub.com/sentinel-s2-l2a/tiles/18/T/XP/2020/1/26/0/metadata.xml",
        },
        "visual": {
            "title": "True color image",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/TCI.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B01": {
            "title": "Band 1 (coastal)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B01.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "B02": {
            "title": "Band 2 (blue)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B02.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B03": {
            "title": "Band 3 (green)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B03.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B04": {
            "title": "Band 4 (red)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B04.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B05": {
            "title": "Band 5",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B05.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B06": {
            "title": "Band 6",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B06.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B07": {
            "title": "Band 7",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B07.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B08": {
            "title": "Band 8 (nir)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B08.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "B8A": {
            "title": "Band 8A",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B8A.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B09": {
            "title": "Band 9",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B09.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "B11": {
            "title": "Band 11 (swir16)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B11.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "B12": {
            "title": "Band 12 (swir22)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/B12.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
        "AOT": {
            "title": "Aerosol Optical Thickness (AOT)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/AOT.tif",
            "proj:shape": [1830, 1830],
            "proj:transform": [60, 0, 600000, 0, -60, 4900020, 0, 0, 1],
        },
        "WVP": {
            "title": "Water Vapour (WVP)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/WVP.tif",
            "proj:shape": [10980, 10980],
            "proj:transform": [10, 0, 600000, 0, -10, 4900020, 0, 0, 1],
        },
        "SCL": {
            "title": "Scene Classification Map (SCL)",
            "type": "image/tiff; application=geotiff; profile=cloud-optimized",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/SCL.tif",
            "proj:shape": [5490, 5490],
            "proj:transform": [20, 0, 600000, 0, -20, 4900020, 0, 0, 1],
        },
    },
    "links": [
        {
            "rel": "self",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs/items/S2B_18TXP_20200126_0_L2A",
        },
        {
            "rel": "canonical",
            "href": "https://sentinel-cogs.s3.us-west-2.amazonaws.com/sentinel-s2-l2a-cogs/18/T/XP/2020/1/S2B_18TXP_20200126_0_L2A/S2B_18TXP_20200126_0_L2A.json",
            "type": "application/json",
        },
        {
            "title": "Source STAC Item",
            "rel": "derived_from",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a/items/S2B_18TXP_20200126_0_L2A",
            "type": "application/json",
        },
        {
            "rel": "parent",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs",
        },
        {
            "rel": "collection",
            "href": "https://earth-search.aws.element84.com/v0/collections/sentinel-s2-l2a-cogs",
        },
        {"rel": "root", "href": "https://earth-search.aws.element84.com/v0/"},
    ],
}

search_2_results = {
    "type": "FeatureCollection",
    "features": [
        search_item_0,
        search_item_1,
    ],
}


@pytest.fixture
def sentinel2_search_item_s2a():
    return search_item_0


@pytest.fixture
def sentinel2_search_item_s2b():
    return search_item_2


@pytest.fixture
def sentinel2_search_2_results():
    return search_2_results
